unit ClientForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Server_TLB, StdCtrls;

type
  TForm2 = class(TForm)
    Timer1: TTimer;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    Server: ITest;
  end;

var
  Form2: TForm2;

implementation

{$R *.DFM}

uses
  Registry, CorbaObj;

procedure TForm2.FormCreate(Sender: TObject);
var
  OldValue: Longint;
const
  DesiredValue: Longint = 0;
begin
  //Make sure the Dial-Up Networking box doesn't come up
  with TRegistry.Create do
    try
      OpenKey('Software\Microsoft\Windows\CurrentVersion\Internet Settings', False);
      OldValue := ReadBinaryData('EnableAutoDial', OldValue, SizeOf(Longint));
      if OldValue <> DesiredValue then
        WriteBinaryData('EnableAutoDial', DesiredValue, SizeOf(Longint));
      CorbaInitialize;
      if OldValue <> DesiredValue then
        WriteBinaryData('EnableAutoDial', OldValue, SizeOf(Longint));
    finally
      Free
    end;
    //Create server object instance
    Server := TTestCorbaFactory.CreateInstance('')
end;

procedure TForm2.Timer1Timer(Sender: TObject);
begin
  try
    Label1.Caption := DateTimeToStr(Server.DateAndTime)
  except
    Label1.Caption := 'N/A';
    Timer1.Enabled := False
  end
end;

end.
