unit CorbaDBServerDataModuleUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComObj, VCLCom, StdVcl, BdeProv, DataBkr, CorbaRdm, CorbaObj,
  CorbaDBServer_TLB, Db, DBTables;

type

  TCorbaDBTest = class(TCorbaDataModule, ICorbaDBTest)
    tblCust: TTable;
    procedure CorbaDBTestCreate(Sender: TObject);
    procedure CorbaDBTestDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  protected
    function Get_tblCust: IProvider; safecall;
  end;

var
  CorbaDBTest: TCorbaDBTest;

implementation

{$R *.DFM}

uses CorbInit, CorbaVcl, CorbaDBServerFormUnit;

function TCorbaDBTest.Get_tblCust: IProvider;
begin
  Result := tblCust.Provider;
end;

procedure TCorbaDBTest.CorbaDBTestCreate(Sender: TObject);
begin
  Form1.UpdateClientCount(1)
end;

procedure TCorbaDBTest.CorbaDBTestDestroy(Sender: TObject);
begin
  Form1.UpdateClientCount(-1)
end;

initialization
  TCorbaVclComponentFactory.Create('CorbaDBTestFactory', 'CorbaDBTest', 'IDL:CorbaDBServer/CorbaDBTestFactory:1.0', ICorbaDBTest,
    TCorbaDBTest, iMultiInstance, tmSingleThread);
end.
